Summary: GNOME Data Analysis and Visualization.
Name: Guppi
Version: 0.40.3
Release: 5
Copyright: GPL
Group: Applications/Engineering
Source: ftp://ftp.gnome.org/pub/guppi/%{name}-%{version}.tar.bz2
Patch: Guppi-libs.patch
Url: http://www.gnome.org/guppi
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libtool >= 1.4
BuildPrereq: gnome-libs-devel, libxml-devel
BuildPrereq: bonobo-devel, gnumeric-devel, libglade-devel
BuildPrereq: gdk-pixbuf-devel, gnome-print-devel
BuildPrereq: gal-devel
%description
Guppi is a GNOME-based data analysis and visualization system.

Install this package if you want to use Guppi.

%package devel
Summary: Libraries and include files to develop Guppi-based applications
Group: Development/Libraries
Requires: Guppi = %{version}
Requires: gnome-libs-devel gnome-print-devel bonobo-devel

%description devel
The Guppi-devel package includes the static libraries and header files
for the Guppi package.

Install Guppi-devel if you want to develop programs which will use the
Guppi libraries.

%prep
%setup -q
%patch -p1

%build
%configure --disable-gtk-doc --enable-gnumeric

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv $RPM_BUILD_ROOT/usr/bin/*guppi-gnumeric \
 $RPM_BUILD_ROOT/usr/bin/guppi-gnumeric
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BIBLIOGRAPHY NEWS README
%attr(755,root,root) %{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/guppi
%{_datadir}/guppi
%{_datadir}/gnome/help/*
%{_datadir}/oaf/*.oaf
%{_datadir}/pixmaps/guppi
%{_datadir}/pixmaps/gnome-guppi.png

%files devel
%defattr(-, root, root)
%{_includedir}/gnome-1.0/*
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_libdir}/*.sh
%{_datadir}/aclocal/libguppi.m4

%changelog
* Sat Apr  6 2002 Bill Nottingham <notting@redhat.com> 0.40.3-5
- rebuild against new gnumeric, fixes #61927

* Thu Feb 21 2002 Bill Nottingham <notting@redhat.com> 0.40.3-4
- rebuild

* Tue Feb 5 2002 Bill Nottingham <notting@redhat.com> 0.40.3-3
- oops, this doesn't require python or guile anymore
- fix library builds

* Fri Jan 25 2002 Bill Nottingham <notting@redhat.com>
- rebuild against new guile
- conflict with other python versions than what it's built against

* Thu Jan 25 2002 Bill Nottingham <notting@redhat.com>
- update to 0.40.3
- sanitize spec file again, fix dependencies

* Mon Jan  7 2002 Jonathan Blandford <jrb@redhat.com>
- Update to new version.  Remove non-existent files from globs

* Mon Apr 04 2001 John Gotts <jgotts@linuxsavvy.com>
- Vastly improved spec file.

* Sat Mar 04 2000 Jon Trowbridge <trow@gnu.org>

- Converted Guppi.spec to Guppi.spec.in.
- Tweaked the language in the summary & description.

* Mon Feb 28 2000 Jon Trowbridge <trow@gnu.org>

- Changed version to 0.34.3.

* Wed Feb 23 2000 Jon Trowbridge <trow@gnu.org>

- Updated to 0.34.2.

* Mon Feb 22 2000 Kenny Graunke <graunke@teleport.com>

- Updated to 0.34.1 (using repackaged source, ugh), spec file rewrite
- This 0.34.1 source disables readline due to broken libguilereadline.so
  problems in every guile 1.3.4 x86 RPM I've seen...

* Wed Jan 26 2000 Conrad Steenberg <conrad@srl.caltech.edu>

- Some Alpha fixes for configure
- Remove some unneeded stripping foo and just do a 'make install-strip' instead.
- Move this changelog to the bottom of the file :-)

* Mon Jan 24 2000 Kenny Graunke <graunke@teleport.com>

- First Guppi RPM
